Printago API
GET /v1/sku-costs/by-sku/{skuId}

Get all costs for a specific SKU

Requires: sku.view

Path Parameters

skuId required
string
- SKU identifier

Response Schema

SkuCostWithComponent[]
Array of SkuCostWithComponent, each with:
componentrequired
object
createdAtrequired
string
format: date-time
descriptionoptionalnullable
string
idrequired
string
namerequired
string
raterequired
number
storeIdrequired
string
typerequired
"material" | "labor" | "overhead"
materiallaboroverhead
unitrequired
string
updatedAtrequired
string
format: date-time
costComponentIdrequired
string
createdAtrequired
string
format: date-time
idrequired
string
quantityrequired
number
skuIdrequired
string
storeIdrequired
string
updatedAtrequired
string
format: date-time

Example Response

200 OK — application/json
[
  {
    "component": {
      "id": "string",
      "name": "string",
      "unit": "string",
      "rate": 1,
      "type": "material",
      "description": "string",
      "storeId": "string",
      "createdAt": "2025-01-15T12:00:00.000Z",
      "updatedAt": "2025-01-15T12:00:00.000Z"
    },
    "id": "string",
    "skuId": "string",
    "costComponentId": "string",
    "quantity": 1,
    "storeId": "string",
    "createdAt": "2025-01-15T12:00:00.000Z",
    "updatedAt": "2025-01-15T12:00:00.000Z"
  }
]